- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- File List
- File Members

Classes | Defines | Typedefs | Functions

# qcoreapplication.h File Reference

`#include <QtCore/qobject.h>`
`#include <QtCore/qcoreevent.h>`
`#include <QtCore/qeventloop.h>`

Go to the source code of this file.

## Classes
class | QCoreApplication
## Defines
#define | qApp QCoreApplication::instance()
#define | Q_DECLARE_TR_FUNCTIONS(context)
## Typedefs
typedef void(* | QtCleanUpFunction )()
## Functions
Q_CORE_EXPORT void | qAddPostRoutine (QtCleanUpFunction)
Q_CORE_EXPORT void | qRemovePostRoutine (QtCleanUpFunction)
Q_CORE_EXPORT QString | qAppName ()

## Define Documentation

#define qApp QCoreApplication::instance()

Search for all occurrences

Definition at line 69 of file qcoreapplication.h.

#define Q_DECLARE_TR_FUNCTIONS | ( |  | context | ) |

Search for all occurrences
Value:

    public: \
        static inline QString tr(const char *sourceText, const char *disambiguation = 0) \
            { return QCoreApplication::translate(#context, sourceText, disambiguation); } \
        static inline QString trUtf8(const char *sourceText, const char *disambiguation = 0) \
            { return QCoreApplication::translate(#context, sourceText, disambiguation, \
                                                 QCoreApplication::UnicodeUTF8); } \
        static inline QString tr(const char *sourceText, const char *disambiguation, int n) \
            { return QCoreApplication::translate(#context, sourceText, disambiguation, \
                                                 QCoreApplication::CodecForTr, n); } \
        static inline QString trUtf8(const char *sourceText, const char *disambiguation, int n) \
            { return QCoreApplication::translate(#context, sourceText, disambiguation, \
                                                 QCoreApplication::UnicodeUTF8, n); } \
    private:

Examples:
  CurveBrush/CurveDisplayer.h, FrameCounter/FrameCounter.h, ImageIOHandlerRAW/ImageIOHandlerRAW.h, MeshDisplace/displacer.h, PLYImport/Importer.cpp, PtexImporter/PtexImporter.h, and TextureConveyor/TextureConveyor.h.

Definition at line 251 of file qcoreapplication.h.

## Typedef Documentation

typedef void(* QtCleanUpFunction)()

Search for all occurrences

Definition at line 266 of file qcoreapplication.h.

## Function Documentation

Q_CORE_EXPORT void qAddPostRoutine | ( | QtCleanUpFunction |  | ) |

Search for all occurrences

Q_CORE_EXPORT void qRemovePostRoutine | ( | QtCleanUpFunction |  | ) |

Search for all occurrences

Q_CORE_EXPORT QString qAppName | ( |  | ) |

Search for all occurrences